import React from 'react';
/**
 * Table 表格头上的内容过滤
 */
export default class FilterCellContentCheckBox extends React.Component<any, any> {
    private timeoutURL;
    static contextType: React.Context<import("../../table").IQueryTableDispatchContext>;
    constructor(props: any);
    fetchData: (pageNo: number) => Promise<void>;
    componentDidMount(): void;
    /**
     * 重置筛选项
     */
    resetStateVal: () => void;
    componentWillReceiveProps(nextProps: Readonly<any>, nextContext: any): void;
    /**
     * 内容选择框的选择事件
     * @param checkedList
     */
    onChange: (checkedList: any) => void;
    /**
     * 全选框的选择事件
     * @param e
     */
    onCheckAllChange: (e: any) => void;
    /**
     * Input 输入框的搜索事件 过滤下方的条件
     * @param e
     */
    onChangeInput: (e: any) => void;
    render(): React.JSX.Element;
}
